## AgsPreset

AgsPreset — Presets

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_PRESET_GET_OBJ_MUTEX()
GQuark | ags_preset_error_quark ()
GRecMutex * | ags_preset_get_obj_mutex ()
gboolean | ags_preset_test_flags ()
void | ags_preset_set_flags ()
void | ags_preset_unset_flags ()
GObject * | ags_preset_get_audio ()
void | ags_preset_set_audio ()
gchar * | ags_preset_get_scope ()
void | ags_preset_set_scope ()
gchar * | ags_preset_get_preset_name ()
void | ags_preset_set_preset_name ()
guint | ags_preset_get_audio_channel_start ()
void | ags_preset_set_audio_channel_start ()
guint | ags_preset_get_audio_channel_end ()
void | ags_preset_set_audio_channel_end ()
guint | ags_preset_get_pad_start ()
void | ags_preset_set_pad_start ()
guint | ags_preset_get_pad_end ()
void | ags_preset_set_pad_end ()
guint | ags_preset_get_x_start ()
void | ags_preset_set_x_start ()
guint | ags_preset_get_x_end ()
void | ags_preset_set_x_end ()
GList * | ags_preset_find_scope ()
GList * | ags_preset_find_name ()
gboolean | ags_preset_add_parameter ()
void | ags_preset_remove_parameter ()
void | ags_preset_get_parameter ()
AgsPreset * | ags_preset_new ()

## Properties

GObject * | audio | Read / Write
guint | audio-channel-end | Read / Write
guint | audio-channel-start | Read / Write
guint | pad-end | Read / Write
guint | pad-start | Read / Write
char * | preset-name | Read / Write
char * | scope | Read / Write
guint | x-end | Read / Write
guint | x-start | Read / Write

## Types and Values

#define | AGS_PRESET_ERROR
enum | AgsPresetError

## Object Hierarchy

        GObject
        ╰── AgsPreset

## Includes

    #include <ags/audio/ags_preset.h>

## Description

The AgsPreset stores presets.

## Functions

### AGS_PRESET_GET_OBJ_MUTEX()

    #define AGS_PRESET_GET_OBJ_MUTEX(obj) (&(((AgsPreset *) obj)->obj_mutex))

### ags_preset_error_quark ()

    GQuark
    ags_preset_error_quark ();

### ags_preset_get_obj_mutex ()

    GRecMutex *
    ags_preset_get_obj_mutex (AgsPreset *preset);

Get object mutex.

#### Parameters

preset | the AgsPreset |

#### Returns

the GRecMutex to lock `preset`

Since: 3.1.0

### ags_preset_test_flags ()

    gboolean
    ags_preset_test_flags (AgsPreset *preset,
                           guint flags);

Test `flags` to be set on `preset` .

#### Parameters

preset | the AgsPreset |
flags | the flags |

#### Returns

`TRUE` if flags are set, else `FALSE`

Since: 3.0.0

### ags_preset_set_flags ()

    void
    ags_preset_set_flags (AgsPreset *preset,
                          guint flags);

Set flags.

#### Parameters

preset | the AgsPreset |
flags | the flags |

Since: 3.0.0

### ags_preset_unset_flags ()

    void
    ags_preset_unset_flags (AgsPreset *preset,
                            guint flags);

Unset flags.

#### Parameters

preset | the AgsPreset |
flags | the flags |

Since: 3.0.0

### ags_preset_get_audio ()

    GObject *
    ags_preset_get_audio (AgsPreset *preset);

Get audio.

#### Parameters

preset | the AgsPreset |

#### Returns

the AgsAudio.

[transfer full]

Since: 3.1.0

### ags_preset_set_audio ()

    void
    ags_preset_set_audio (AgsPreset *preset,
                          GObject *audio);

Set audio.

#### Parameters

preset | the AgsPreset |
audio | the AgsAudio |

Since: 3.1.0

### ags_preset_get_scope ()

    gchar *
    ags_preset_get_scope (AgsPreset *preset);

Get scope.

#### Parameters

preset | the AgsPreset |

#### Returns

the scope

Since: 3.1.0

### ags_preset_set_scope ()

    void
    ags_preset_set_scope (AgsPreset *preset,
                          gchar *scope);

Set scope.

#### Parameters

preset | the AgsPreset |
scope | the scope |

Since: 3.1.0

### ags_preset_get_preset_name ()

    gchar *
    ags_preset_get_preset_name (AgsPreset *preset);

Get preset name.

#### Parameters

preset | the AgsPreset |

#### Returns

the preset name

Since: 3.1.0

### ags_preset_set_preset_name ()

    void
    ags_preset_set_preset_name (AgsPreset *preset,
                                gchar *preset_name);

Set preset name.

#### Parameters

preset | the AgsPreset |
preset_name | the preset name |

Since: 3.1.0

### ags_preset_get_audio_channel_start ()

    guint
    ags_preset_get_audio_channel_start (AgsPreset *preset);

Gets audio channel start.

#### Parameters

preset | the AgsPreset |

#### Returns

the audio channel start

Since: 3.1.0

### ags_preset_set_audio_channel_start ()

    void
    ags_preset_set_audio_channel_start (AgsPreset *preset,
                                        guint audio_channel_start);

Sets audio channel start.

#### Parameters

preset | the AgsPreset |
audio_channel_start | the audio channel start |

Since: 3.1.0

### ags_preset_get_audio_channel_end ()

    guint
    ags_preset_get_audio_channel_end (AgsPreset *preset);

Gets audio channel end.

#### Parameters

preset | the AgsPreset |

#### Returns

the audio channel end

Since: 3.1.0

### ags_preset_set_audio_channel_end ()

    void
    ags_preset_set_audio_channel_end (AgsPreset *preset,
                                      guint audio_channel_end);

Sets audio channel end.

#### Parameters

preset | the AgsPreset |
audio_channel_end | the audio channel end |

Since: 3.1.0

### ags_preset_get_pad_start ()

    guint
    ags_preset_get_pad_start (AgsPreset *preset);

Gets pad start.

#### Parameters

preset | the AgsPreset |

#### Returns

the pad start

Since: 3.1.0

### ags_preset_set_pad_start ()

    void
    ags_preset_set_pad_start (AgsPreset *preset,
                              guint pad_start);

Sets pad start.

#### Parameters

preset | the AgsPreset |
pad_start | the pad start |

Since: 3.1.0

### ags_preset_get_pad_end ()

    guint
    ags_preset_get_pad_end (AgsPreset *preset);

Gets pad end.

#### Parameters

preset | the AgsPreset |

#### Returns

the pad end

Since: 3.1.0

### ags_preset_set_pad_end ()

    void
    ags_preset_set_pad_end (AgsPreset *preset,
                            guint pad_end);

Sets pad end.

#### Parameters

preset | the AgsPreset |
pad_end | the pad end |

Since: 3.1.0

### ags_preset_get_x_start ()

    guint
    ags_preset_get_x_start (AgsPreset *preset);

Gets x start.

#### Parameters

preset | the AgsPreset |

#### Returns

the x start

Since: 3.1.0

### ags_preset_set_x_start ()

    void
    ags_preset_set_x_start (AgsPreset *preset,
                            guint x_start);

Sets x start.

#### Parameters

preset | the AgsPreset |
x_start | the x start |

Since: 3.1.0

### ags_preset_get_x_end ()

    guint
    ags_preset_get_x_end (AgsPreset *preset);

Gets x end.

#### Parameters

preset | the AgsPreset |

#### Returns

the x end

Since: 3.1.0

### ags_preset_set_x_end ()

    void
    ags_preset_set_x_end (AgsPreset *preset,
                          guint x_end);

Sets x end.

#### Parameters

preset | the AgsPreset |
x_end | the x end |

Since: 3.1.0

### ags_preset_find_scope ()

    GList *
    ags_preset_find_scope (GList *preset,
                           gchar *scope);

Find preset's scope in `preset` .

#### Parameters

preset | the GList containing AgsPreset. | [element-type AgsAudio.Preset][transfer none]
scope | the preset's scope |

#### Returns

the next matching AgsPreset.

[element-type AgsAudio.Preset][transfer none]

Since: 3.0.0

### ags_preset_find_name ()

    GList *
    ags_preset_find_name (GList *preset,
                          gchar *preset_name);

Find preset name in `preset` .

#### Parameters

preset | the GList containing AgsPreset. | [element-type AgsAudio.Preset][transfer none]
preset_name | the preset's name |

#### Returns

the next matching AgsPreset.

[element-type AgsAudio.Preset][transfer none]

Since: 3.0.0

### ags_preset_add_parameter ()

    gboolean
    ags_preset_add_parameter (AgsPreset *preset,
                              gchar *param_name,
                              GValue *value);

Add parameter to `preset` .

#### Parameters

preset | the AgsPreset |
param_name | the parameter name |
value | the value to add |

Since: 3.0.0

### ags_preset_remove_parameter ()

    void
    ags_preset_remove_parameter (AgsPreset *preset,
                                 guint nth);

Remove parameter of `preset` .

#### Parameters

preset | the AgsPreset |
nth | the nth parameter to remove |

Since: 3.0.0

### ags_preset_get_parameter ()

    void
    ags_preset_get_parameter (AgsPreset *preset,
                              gchar *param_name,
                              GValue *value,
                              GError **error);

Get parameter specified by `param_name` . If parameter not available the `error` is set to indicate the failure.

#### Parameters

preset | the AgsPreset |
param_name | the parameter name |
value | the return location of value |
error | the GError |

Since: 3.0.0

### ags_preset_new ()

    AgsPreset *
    ags_preset_new ();

Create a new instance of AgsPreset

#### Returns

the new AgsPreset

Since: 3.0.0

## Types and Values

### AGS_PRESET_ERROR

    #define AGS_PRESET_ERROR (ags_preset_error_quark())

### enum AgsPresetError

#### Members

AGS_PRESET_ERROR_NO_SUCH_PARAMETER |  |

## Property Details

### The `“audio”` property

      “audio”                    GObject *

The AgsAudio belonging to.

Owner: AgsPreset

Flags: Read / Write

Since: 3.0.0

### The `“audio-channel-end”` property

      “audio-channel-end”        guint

The end audio channel to apply.

Owner: AgsPreset

Flags: Read / Write

Default value: 0

Since: 3.0.0

### The `“audio-channel-start”` property

      “audio-channel-start”      guint

The start audio channel to apply.

Owner: AgsPreset

Flags: Read / Write

Default value: 0

Since: 3.0.0

### The `“pad-end”` property

      “pad-end”                  guint

The end pad to apply.

Owner: AgsPreset

Flags: Read / Write

Default value: 0

Since: 3.0.0

### The `“pad-start”` property

      “pad-start”                guint

The start pad to apply.

Owner: AgsPreset

Flags: Read / Write

Default value: 0

Since: 3.0.0

### The `“preset-name”` property

      “preset-name”              char *

The preset name.

Owner: AgsPreset

Flags: Read / Write

Default value: NULL

Since: 3.0.0

### The `“scope”` property

      “scope”                    char *

The preset's scope.

Owner: AgsPreset

Flags: Read / Write

Default value: NULL

Since: 3.0.0

### The `“x-end”` property

      “x-end”                    guint

The end x to apply.

Owner: AgsPreset

Flags: Read / Write

Default value: 0

Since: 3.0.0

### The `“x-start”` property

      “x-start”                  guint

The start x to apply.

Owner: AgsPreset

Flags: Read / Write

Default value: 0

Since: 3.0.0